<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Novel List</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" >
    


</head>

<body>
       
    <div class="container">
        <h4>发布小说</h4>
        <form method="POST" enctype="multipart/form-data" id="fileUploadForm">
            <div class="form-group">
                <label>书名</label>
                <input class="form-control" type="text" name="bookName" placeholder="小说书名">
            </div>
            
            <div class="form-group">
                <label>小说简介</label>
                <input class="form-control" type="text" name="bookShortDesc" placeholder="小说简介">
            </div>
            
            <div class="form-group">
                <label for="bookImage" class=" btn btn-default">小说封面</label>
                <input name="bookImage" class="form-control" type="file" >
            </div>

            <div class="form-group">
                <label for="bookType">图片文件</label>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
                <input type="file" class="form-control" name="files"/>
            </div>

            <div class="form-group">
                <label>内容</label>
                <textarea class="form-control" name="bookContent" rows="5"></textarea>
            </div>

            <div class="form-group">
                <label>原文链接</label>
                <input class="form-control" type="text" name="originalUrl" placeholder="http://">
            </div>
            <button class="btn btn-primary" id="btnSubmit">保存</button>
            

        </form>
    </div>

    <script src="/handlebarsjs/4.0.11/handlebars.js"></script>
    <script src="/jquery-3.3.1.min.js"></script>

    <script>

        $(document).ready(function () {
            $("#btnSubmit").click(function (event) {
                //stop submit the form, we will post it manually.
                event.preventDefault();
                fire_ajax_submit();
            });
        });

        function fire_ajax_submit() {
            var bookImage = $("input[name='bookImage']").val();
            if(bookImage == '' ){
                alert('请填入小说封面图片！');
                $("input[name='bookImage']").focus();
                return ;
            }
            
            var originalUrl = $("input[name='originalUrl']").val();
            if(originalUrl == '' || (originalUrl.indexOf('http://') < 0 && originalUrl.indexOf('https://') < 0 )) {
                alert('请填入有效的原文链接！');
               $('#originalUrl').focus();
                return ;
            }
            
            // Get form
            var form = $('#fileUploadForm')[0];
            var data = new FormData(form);
            console.log(data);
            $("#btnSubmit").prop("disabled", true);

            $.ajax({
                type: "POST",
                enctype: 'multipart/form-data',
                url: "/api/novel/add",
                data: data,
                processData: false, //prevent jQuery from automatically transforming the data into a query string
                contentType: false,
                cache: false,
                timeout: 600000,
                success: function (data) {
                    alert("保存成功 ", data);
                    $("#btnSubmit").prop("disabled", false);
                    window.location = 'list.html';
                },
                error: function (e) {
                    alert("保存失败 : ", e);
                    $("#btnSubmit").prop("disabled", false);
                }
            });

        }

    </script>
</body>


</html>